Index: palm/trunk/SOURCE/subsidence.f90
===================================================================
--- palm/trunk/SOURCE/subsidence.f90	(revision 1490)
+++ palm/trunk/SOURCE/subsidence.f90	(revision 1682)
@@ -1,4 +1,3 @@
- MODULE subsidence_mod
-
+!> @file subsidence.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -20,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Code annotations made doxygen readable 
 !
 ! Former revisions:
@@ -62,8 +61,10 @@
 ! Description:
 ! ------------
-! Impact of large-scale subsidence or ascent as tendency term for use 
-! in the prognostic equation of potential temperature. This enables the 
-! construction of a constant boundary layer height z_i with time.
+!> Impact of large-scale subsidence or ascent as tendency term for use 
+!> in the prognostic equation of potential temperature. This enables the 
+!> construction of a constant boundary layer height z_i with time.
 !-----------------------------------------------------------------------------!
+ MODULE subsidence_mod
+ 
 
 
@@ -84,4 +85,9 @@
  CONTAINS
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> @todo Missing subroutine description.
+!------------------------------------------------------------------------------!
     SUBROUTINE init_w_subsidence 
 
@@ -100,9 +106,9 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !: 
-       INTEGER(iwp) ::  k !: 
-
-       REAL(wp)     ::  gradient   !: 
-       REAL(wp)     ::  ws_surface !: 
+       INTEGER(iwp) ::  i !< 
+       INTEGER(iwp) ::  k !< 
+
+       REAL(wp)     ::  gradient   !< 
+       REAL(wp)     ::  ws_surface !< 
 
        IF ( .NOT. ALLOCATED( w_subs ))  THEN
@@ -156,4 +162,9 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> @todo Missing subroutine description.
+!------------------------------------------------------------------------------!
     SUBROUTINE subsidence( tendency, var, var_init, ls_index ) 
 
@@ -176,16 +187,16 @@
        IMPLICIT NONE
  
-       INTEGER(iwp) ::  i !: 
-       INTEGER(iwp) ::  j !: 
-       INTEGER(iwp) ::  k !: 
-       INTEGER(iwp) ::  ls_index !:
-
-       REAL(wp)     ::  tmp_tend !:
-       REAL(wp)     ::  tmp_grad !: 
+       INTEGER(iwp) ::  i !< 
+       INTEGER(iwp) ::  j !< 
+       INTEGER(iwp) ::  k !< 
+       INTEGER(iwp) ::  ls_index !<
+
+       REAL(wp)     ::  tmp_tend !<
+       REAL(wp)     ::  tmp_grad !< 
     
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var      !: 
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  tendency !: 
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_init                     !: 
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_mod                      !: 
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var      !< 
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  tendency !< 
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_init                     !< 
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_mod                      !< 
 
        var_mod = var_init
@@ -257,4 +268,9 @@
  END SUBROUTINE subsidence
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> @todo Missing subroutine description.
+!------------------------------------------------------------------------------!
  SUBROUTINE subsidence_ij( i, j, tendency, var, var_init, ls_index ) 
 
@@ -276,16 +292,16 @@
        IMPLICIT NONE
  
-       INTEGER(iwp) ::  i !: 
-       INTEGER(iwp) ::  j !: 
-       INTEGER(iwp) ::  k !: 
-       INTEGER(iwp) ::  ls_index !:
-
-       REAL(wp)     ::  tmp_tend !:
-       REAL(wp)     ::  tmp_grad !: 
+       INTEGER(iwp) ::  i !< 
+       INTEGER(iwp) ::  j !< 
+       INTEGER(iwp) ::  k !< 
+       INTEGER(iwp) ::  ls_index !<
+
+       REAL(wp)     ::  tmp_tend !<
+       REAL(wp)     ::  tmp_grad !< 
     
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var      !: 
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  tendency !: 
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_init                     !: 
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_mod                      !: 
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var      !< 
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  tendency !< 
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_init                     !< 
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_mod                      !< 
 
        var_mod = var_init
